package cmd

import (
	"github.com/spf13/cobra"
	"yizhisec.com/hsv2/forge/internal/controller/maker"
)

func makeYosguard() *cobra.Command {
	_cmd := &cobra.Command{
		Use:     "yosguard",
		Aliases: []string{"YOS"},
		Short:   "Make Yosguard",
		RunE: func(cmd *cobra.Command, args []string) error {
			mk := maker.NewMaker()
			return mk.Yosguard(cmd.Context())
		},
	}

	return _cmd
}
